body {
    margin:0;
    padding:0;
    font-family: sans-serif;
    -webkit-text-size-adjust: 100%;
}

a {
    color: #03c;
}

header {
    background: linear-gradient(#d5e3e1, #abc7c4);
    color: #38544d;
}

header .page-title {
    max-width:968px;
    margin:0 auto;
    padding: 64px 16px 16px;
    font-size: 24px;
    font-weight: bold;
}
header .page-title a {
    text-decoration: inherit;
    color: inherit;
}

nav.breadcrumbs {
    max-width:968px;
    margin:4px auto;
    padding:0 16px;
    font-size: 12px;
}
nav.breadcrumbs a {
    text-decoration: none;
    color: #547d73;
}

footer {
    border-top: solid 1px #ccc;
    background: linear-gradient(#abc7c4, #fff 60%, #fff);
    color: #38544d;
    font-size: 13px;
    line-height: 1.8;
}

footer .related-links {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    max-width:968px;
    margin: 0 auto;
    padding: 0 16px;
}
footer .related-links > * {
    flex: 0 0 160px;
    margin: 24px 0 0;
}
footer .related-links h4 {
    margin: 0 0 1em;
    color: inherit;
    font-size: inherit;
    font-weight: bold;
}
footer .related-links ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
footer .related-links li {
    margin: 0;
    padding: 0;
}
footer .related-links a {
    color: inherit;
    text-decoration: none;
}

footer .official-accounts {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    margin: 0 auto;
    padding: 40px 0 0;
    width: 200px;
}
footer .official-accounts > * {
    display: block;
    flex: 0 0 40px;
    height: 40px;
    background-size: 40px;
}
footer .official-accounts .official-twitter {
    background-image: url(../images/logo/twitter.svg);
}
footer .official-accounts .official-facebook {
    background-image: url(../images/logo/facebook.svg);
}
footer .official-accounts .official-mastodon {
    background-image: url(../images/logo/mastodon.svg);
}

footer .copyright {
    margin: 40px 0 48px;
    text-align: center;
    color: black;
}

main {
    max-width:968px;
    margin:0 auto 80px;
    padding:0 16px;
}

main h1 {
    margin: 32px 0 0;
    padding: 0;
    line-height: 1.5;
    color: #38544d;
    font-size: 32px;
}

.textructure {
    margin: 20px 0 0;
    line-height: 1.8;
    color: #222;
    font-size: 16px;
}

.textructure a {
    font-weight: normal;
}

.textructure b {
    color: #555;
    font-weight: bold;
}

.textructure h2, .textructure h3, .textructure h4 {
    padding: 0;
    margin: 2em 0 0;
    line-height: 1;
    color: #38544d;
    font-weight: bold;
}
.textructure h2 {
    font-size: 26px;
}
.textructure h3 {
    font-size: 20px;
}
.textructure h4 {
    font-size: inherit;
}

.textructure code {
    border: solid 1px #e4e4e4;
    background-color: #eee;
    padding: 0.3em 0.3em 0.1em;
    line-height: 1;
    word-break: break-all;
    font-family: Courier New, monospace;
    color: #444;
    font-weight: normal;
}

.textructure p {
    margin: 1.5em 0 0;
}

.textructure p.topic-title {
    color: #38544d;
    font-weight: bold;
}

.textructure ul, .textructure ol {
    margin-top: 1.5em;
    margin-bottom: 0;
}
.textructure li {
    margin-top: 0;
    margin-bottom: 0;
}
.textructure li.discrete {
    margin-top: 1.5em;
}

.textructure dl {
    margin-top: 1.5em;
    margin-bottom: 0;
}
.textructure dt {
    color: #555;
    font-weight: bold;
    margin: 0;
}
.textructure dt.discrete {
    margin-top: 1.5em;
}
.textructure dd {
    margin: 0;
}
.textructure dd.indented {
    margin: 0 0 0.5em 2em;
}
.textructure dd.indented:last-child {
    margin-bottom: 0;
}

.textructure table.compact-dl {
    margin-top: 1.5em;
    margin-bottom: 0;
    border-collapse: collapsed;
    border: none;
}
.textructure table.compact-dl td {
    border: none;
    padding: 0;
    vertical-align:top;
}
.textructure table.compact-dl td:first-child {
    padding-right: 1em;
    white-space: nowrap;
    color: #555;
    font-weight: bold;
}
.textructure table.compact-dl td.discrete {
    padding-top: 1.5em;
}

.textructure pre.code-block {
    margin-top: 1.5em;
    margin-bottom: 0;
    padding: 0.5em 1em;
    background-color: #eee;
    border: solid 1px #ccc;
    overflow: auto;
    line-height:1.2;
}
.textructure pre.code-block code {
    display: inline;
    border: none;
    background-color: transparent;
    padding: 0;
    word-break: inherit;
    line-height: inherit;
    color: inherit;
}

.textructure .note {
    position: relative;
    color: #888;
    font-size: 80%;
    margin-left: 1.2em;
}

.textructure .warn {
    position: relative;
    color: #d00;
    font-size: 80%;
    margin-left: 1.2em;
}

.textructure .note:before, .textructure .warn:before {
    display: block;
    position: absolute;
    top: 0;
    left: -1.2em;
    content: '※';
}

.textructure .index {
    margin-top: 1.5em;
    background-color: #eee;
    border: solid 1px #ccc;
    line-height: 1.5;
}

.textructure .index-title {
    margin: 0.5em 1em;
    font-weight: bold;
}

.textructure .index-content {
    margin: 0.5em 1em 1em;
}
.textructure .index-content:first-child {
    margin: 1em;
}

.textructure .info {
    margin-top:1.5em;
    border: solid 1px #ccc;
}

.textructure .info-title {
    background-color: #eee;
    border-bottom: solid 1px #ddd;
    color: #38544d;
    font-weight: bold;
    padding: 0.2em 0.5em 0;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.textructure .info-content {
    padding: 0.5em 0.5em;
}

.textructure img {
    box-sizing:border-box;
    border: solid 1px #999;
    max-width: 100%;
}
.textructure iframe.youtube {
    border: solid 1px #999;
}

.textructure img.noborder, .textructure iframe.youtube.noborder {
    border: none;
}

.textructure img.emoji {
    vertical-align: baseline;
    width:  16px;
    height: 16px;
    border: none;
}

.textructure .media {
    margin-top: 1.5em;
}

.textructure .media-content {
    text-align: center;
}
.textructure .media-content img, .textructure .media-content iframe, .media-content a {
    display: inline-block;
    vertical-align: bottom;
}

.textructure .media-description {
    text-align: center;
    font-size: 14px;
    margin: 0.5em 0 0 0;
}

.textructure .break-all {
    word-break:break-all;
}

.textructure p:first-child, .textructure p.sticky,
.textructure .media:first-child, .textructure .media.sticky,
.textructure ul:first-child, .textructure ul.sticky,
.textructure ol:first-child, .textructure ol.sticky,
.textructure dl:first-child, .textructure dl.sticky,
.textructure table.compact-dl:first-child, .textructure table.compact-dl.sticky,
.textructure pre.code-block:first-child, .textructure pre.code-block.sticky,
.textructure .info:first-child, .textructure .info.sticky,
.textructure .index:first-child, .textructure .index.sticky {
    margin-top: 0;
}


.textructure .description-table {
    margin: 1.5em 0 0;
    overflow: auto;
}
.textructure .description-table.sticky {
    margin: 0;
}
.textructure .description-table table {
    border: none;
    border-collapse: separate;
    border-spacing: 2px;
}
.textructure .description-table th {
    padding: 0 1em 0 0.5em;
    border: none;
    border-bottom:solid 1px #888;
    white-space: nowrap;
    text-align: left;
    font-weight: bold;
}
.textructure .description-table td {
    padding: 0 1em 0 0.5em;
    border: none;
}
.textructure .description-table td:first-child, .textructure .description-table td:nth-child(3) {
    white-space: nowrap;
}
.textructure .description-table td:nth-child(2) {
    min-width: 20em;
}


.textructure .pros-cons {
    margin: 1.5em 0 0;
    overflow: auto;
}
.textructure .pros-cons table {
    border-collapse: collapse;
    border: solid 1px #ccc;
}
.textructure .pros-cons caption {
    text-align: left;
    color: inherit;
    padding: 0 0 0 0.5em;
}
.textructure .pros-cons th {
    padding: 0.1em 1em;
    background-color: #666;
    border: solid 1px #ccc;
    text-align: center;
    color: white;
    font-weight: bold;
    white-space: nowrap;
}
.textructure .pros-cons td {
    padding: 0.1em 1em;
    border: solid 1px #ccc;
    text-align: center;
    white-space: nowrap;
}
.textructure .pros-cons td:first-child {
    padding: 0.1em 2em 0.1em 0.5em;
    text-align: left;
}
.textructure .pros-cons .pros {
    color: #329c04;
}
.textructure .pros-cons .cons {
    color: #a92727;
}


@media screen and (max-width: 674px) {
    footer .related-links {
        display: block;
        max-width: 400px;
        padding: 0 16px;
    }
    footer .related-links > *:nth-child(odd) {
        float:left;
        clear: both;
        width: 160px;
    }
    footer .related-links > *:nth-child(even) {
        float:right;
        width: 160px;
    }
    footer .official-accounts {
        clear: both;
    }
}

@media screen and (max-width: 354px) {
    footer .related-links {
        display: block;
        padding: 0 16px;
    }
    footer .related-links > *:nth-child(odd), footer .related-links > *:nth-child(even) {
        float: none;
    }
}

@media screen and (max-width: 500px) {
    header .page-title {
        font-size: 20px;
    }

    main h1 {
        font-size: 28px;
    }

    .textructure h2, .textructure h3 {
        line-height: 1.5;
    }

    .textructure h2 {
        font-size: 24px;
        margin-bottom: -8px;
    }
    .textructure h3 {
        font-size: 18px;
        margin-bottom: -6px;
    }

    .textructure ul {
        margin-left: 0;
        padding-left: 2em;
    }

    .textructure dt {
        color: #444;
    }

    .textructure dd.indented {
        margin-left: 0;
    }

    .textructure table.compact-dl {
        display: block;
        margin-top: 1.5em;
        margin-bottom: 0;
    }
    .textructure table.compact-dl tr {
        display: block;
        margin-top: 0.5em;
    }
    .textructure table.compact-dl tr:first-child {
        margin-top: 0;
    }
    .textructure table.compact-dl td {
        display: block;
    }
    .textructure table.compact-dl td:first-child {
        padding-right: 0;
        white-space: inherit;
    }
    .textructure table.compact-dl td.discrete {
        padding-top: 0;
    }
    .textructure table.compact-dl td.discrete:first-child {
        padding-top: 1em;
    }
}
